### Method

# Gimp Image get_imported_file

since: 2.8

#### Declaration [src]

    GFile*
    gimp_image_get_imported_file (
      GimpImage* image
    )

#### Description [src]

Returns the imported file for the specified image.

This procedure returns the file associated with the specified image if the image was imported from a non-native Gimp format. If the image was not imported, or has since been saved in the native Gimp format, this procedure returns `NULL`.

Available since: 2.8

#### Return value

Type: `GFile`

The imported file.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.